#ifndef __SOURCE4_NBT_SERVER_WINS_WINSSERVER_PROTO_H__
#define __SOURCE4_NBT_SERVER_WINS_WINSSERVER_PROTO_H__

#undef _PRINTF_ATTRIBUTE
#define _PRINTF_ATTRIBUTE(a1, a2) PRINTF_ATTRIBUTE(a1, a2)
/* This file was automatically generated by mkproto.pl. DO NOT EDIT */

/* this file contains prototypes for functions that are private 
 * to this subsystem or library. These functions should not be 
 * used outside this particular subsystem! */


/* The following definitions come from ../../source4/nbt_server/wins/winsserver.c  */

uint32_t wins_server_ttl(struct wins_server *winssrv, uint32_t ttl);
void nbtd_winsserver_request(struct nbt_name_socket *nbtsock, 
			     struct nbt_name_packet *packet, 
			     struct socket_address *src);
NTSTATUS nbtd_winsserver_init(struct nbtd_server *nbtsrv);

/* The following definitions come from ../../source4/nbt_server/wins/winsclient.c  */

void nbtd_winsclient_register(struct nbtd_iface_name *iname);

/* The following definitions come from ../../source4/nbt_server/wins/winswack.c  */

NTSTATUS wins_challenge_recv(struct composite_context *ctx, TALLOC_CTX *mem_ctx, struct wins_challenge_io *io);
struct composite_context *wins_challenge_send(TALLOC_CTX *mem_ctx, struct wins_challenge_io *io);
NTSTATUS nbtd_proxy_wins_challenge(struct irpc_message *msg, 
				   struct nbtd_proxy_wins_challenge *req);
NTSTATUS nbtd_proxy_wins_release_demand(struct irpc_message *msg, 
				   struct nbtd_proxy_wins_release_demand *req);

/* The following definitions come from ../../source4/nbt_server/wins/wins_dns_proxy.c  */

void nbtd_wins_dns_proxy_query(struct nbt_name_socket *nbtsock, 
			       struct nbt_name_packet *packet, 
			       struct socket_address *src);
#undef _PRINTF_ATTRIBUTE
#define _PRINTF_ATTRIBUTE(a1, a2)

#endif /* __SOURCE4_NBT_SERVER_WINS_WINSSERVER_PROTO_H__ */

